%% 
%%
clear all;
clc;
load database.mat
load resulttable.mat
Dcrit=double(resulttable(end,end));
D=database.Dbase;
v=database.vbase;
%%    
    data=[D,v];
    data=data';
    data(:,data(1,:)==0)=[];
        measurementrange=0.5145;
    data(:,data(1,:)<measurementrange)=[];

    [TF] = isoutlier(data(1,:));
    data(:, TF==1) = [];
    B=sortrows(data',1);  
    B=B';

    Ricer=round(2*(length(B(1,B(1,:)~=0)))^(1/3));
    limit=linspace(min(data(1,:)),max(data(1,:)),(Ricer+1));
    
for n=1:(length(limit)-1)
    D_f=B;
        D_f(:, (D_f(1,:) > limit(n+1))) = [];            
        meanv(n)=mean(D_f(2,:));
        stdv(n)=std(D_f(2,:));
        limits(n)=limit(n+1);
end



h=figure('Renderer', 'painters', 'Position', [0 0 1300 350]);
subplot(1,3,1)
plot(limits(limits~=0),meanv(limits~=0));
hold on
xline(Dcrit);
set(gca,'fontname','times','fontsize',10);
xlabel("\it{D} \rm{[m]}");
ylabel("\it{v}_{\rm{mean}} \rm{[m/s]}");
title("Mean velocity");

subplot(1,3,2)
plot(limits(limits~=0),stdv(limits~=0));
hold on
xline(Dcrit);
set(gca,'fontname','times','fontsize',10);
xlabel("\it{D} \rm{[m]}");
ylabel("\it{v}_{\rm{std}} \rm{[m/s]}");
title("Standard deviation of velocity");

subplot(1,3,3)
plot(limits(limits~=0),stdv(limits~=0)./meanv(limits~=0));
hold on
xline(Dcrit);
set(gca,'fontname','times','fontsize',10);
xlabel("\it{D} \rm{[m]}");
ylabel("\it{v}_{\rm{relstd}} \rm{[m/s]}");
title("Relative standard deviation of velocity");

exportgraphics(h,'Velocity.jpg','Resolution',1000)